Ubuntu 21 and Virtualbox virtualbox-6.1_6.1.26 depends on python ( 2.8); however: Package python is not installed.

29.07.2021

 

Hi out there,

you like to install your Orcale Virtualbox but running into something pyhton related like this ?:

sudo dpkg -i virtualbox-6.1_6.1.10-138449\~Ubuntu\~eoan_amd64.deb
(Reading database ... 220352 files and directories currently installed.)
Preparing to unpack virtualbox-6.1_6.1.10-138449~Ubuntu~eoan_amd64.deb ...
Unpacking virtualbox-6.1 (6.1.10-138449~Ubuntu~eoan) over (6.1.8-137981~Ubuntu~eoan) ...
dpkg: dependency problems prevent configuration of virtualbox-6.1:
 virtualbox-6.1 depends on python (<< 2.8); however:
  Package python is not installed.
 virtualbox-6.1 depends on python (>= 2.7); however:
  Package python is not installed.
 virtualbox-6.1 depends on python:any (>= 2.6.6-7~); however:

dpkg: error processing package virtualbox-6.1 (--install):
 dependency problems - leaving unconfigured

 

Then just install :

sudo apt-get install python-is-python2

 

and your problem is solved.

 

Simple as that.